package org.implab.gradle.common.sources;

import javax.inject.Inject;

import org.gradle.api.Named;

/**
 * Global layer declaration used by build variants.
 */
public abstract class BuildLayer implements Named {
    private final String name;

    @Inject
    public BuildLayer(String name) {
        this.name = name;
    }

    @Override
    public String getName() {
        return name;
    }
}
